Name: jakarta-commons-logging
Version: 1.0.4
Release: alt0.M24.1

Summary: Jakarta Commons Logging Package
License: Apache Software License
Group: Development/Java
Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Url: http://jakarta.apache.org/commons/logging/
Source0: http://www.apache.org/dist/jakarta/commons/logging/source/commons-logging-%version-src.tar.gz
Source1: jakarta-commons-logging-build.properties 

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel ant apache-logging-log4j junit rpm-build-java
BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 apache-logging-log4j

%description
The commons-logging package provides a simple, component oriented
interface (org.apache.commons.logging.Log) together with wrappers for
logging systems. The user can choose at runtime which system they want
to use. In addition, a small number of basic implementations are
provided to allow users to use the package standalone.
commons-logging was heavily influenced by Avalon's Logkit and Log4J. The
commons-logging abstraction is meant to minimixe the differences between
the two, and to allow a developer to not tie himself to a particular
logging implementation.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-logging-%version-src
%__cp %SOURCE1 build.properties

%build
%__ant dist test

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version

%__cp dist/commons-logging.jar %buildroot%_javadir/%name.jar
%__cp dist/commons-logging-api.jar %buildroot%_javadir/%name-api.jar
%__cp dist/*.txt %buildroot%_docdir/%name-%version/
%__cp *.html %buildroot%_docdir/%name-%version/
%__mv dist/docs/api %buildroot%_javadocdir/%name

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Mon Apr 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0.4-alt0.M24.1
- Backport to Master 2.4
- Sync with my local repo

* Sun Aug 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt3
- Disabled check by default due to a circular build dependency

* Thu Jul 15 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt2
- Disabled avalon by default

* Thu Jun 17 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.4-alt1
- New upstream release
- Patch0 obsoleted

* Thu Feb 26 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.3-alt1
- Adapted for Sisyphus from the JPackage project

